package com.liquidnet.service.account.wallet.entity;

import java.util.ArrayList;
import java.time.LocalDateTime;
import java.util.List;

public class FinWalletExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public FinWalletExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andWalletNoIsNull() {
            addCriterion("FW0 is null");
            return (Criteria) this;
        }

        public Criteria andWalletNoIsNotNull() {
            addCriterion("FW0 is not null");
            return (Criteria) this;
        }

        public Criteria andWalletNoEqualTo(String value) {
            addCriterion("FW0 =", value, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoNotEqualTo(String value) {
            addCriterion("FW0 <>", value, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoGreaterThan(String value) {
            addCriterion("FW0 >", value, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoGreaterThanOrEqualTo(String value) {
            addCriterion("FW0 >=", value, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoLessThan(String value) {
            addCriterion("FW0 <", value, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoLessThanOrEqualTo(String value) {
            addCriterion("FW0 <=", value, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoLike(String value) {
            addCriterion("FW0 like", value, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoNotLike(String value) {
            addCriterion("FW0 not like", value, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoIn(List<String> values) {
            addCriterion("FW0 in", values, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoNotIn(List<String> values) {
            addCriterion("FW0 not in", values, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoBetween(String value1, String value2) {
            addCriterion("FW0 between", value1, value2, "walletNo");
            return (Criteria) this;
        }

        public Criteria andWalletNoNotBetween(String value1, String value2) {
            addCriterion("FW0 not between", value1, value2, "walletNo");
            return (Criteria) this;
        }

        public Criteria andCurrencyIsNull() {
            addCriterion("FW1 is null");
            return (Criteria) this;
        }

        public Criteria andCurrencyIsNotNull() {
            addCriterion("FW1 is not null");
            return (Criteria) this;
        }

        public Criteria andCurrencyEqualTo(String value) {
            addCriterion("FW1 =", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyNotEqualTo(String value) {
            addCriterion("FW1 <>", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyGreaterThan(String value) {
            addCriterion("FW1 >", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyGreaterThanOrEqualTo(String value) {
            addCriterion("FW1 >=", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyLessThan(String value) {
            addCriterion("FW1 <", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyLessThanOrEqualTo(String value) {
            addCriterion("FW1 <=", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyLike(String value) {
            addCriterion("FW1 like", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyNotLike(String value) {
            addCriterion("FW1 not like", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyIn(List<String> values) {
            addCriterion("FW1 in", values, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyNotIn(List<String> values) {
            addCriterion("FW1 not in", values, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyBetween(String value1, String value2) {
            addCriterion("FW1 between", value1, value2, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyNotBetween(String value1, String value2) {
            addCriterion("FW1 not between", value1, value2, "currency");
            return (Criteria) this;
        }

        public Criteria andAliasIsNull() {
            addCriterion("FW2 is null");
            return (Criteria) this;
        }

        public Criteria andAliasIsNotNull() {
            addCriterion("FW2 is not null");
            return (Criteria) this;
        }

        public Criteria andAliasEqualTo(String value) {
            addCriterion("FW2 =", value, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasNotEqualTo(String value) {
            addCriterion("FW2 <>", value, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasGreaterThan(String value) {
            addCriterion("FW2 >", value, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasGreaterThanOrEqualTo(String value) {
            addCriterion("FW2 >=", value, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasLessThan(String value) {
            addCriterion("FW2 <", value, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasLessThanOrEqualTo(String value) {
            addCriterion("FW2 <=", value, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasLike(String value) {
            addCriterion("FW2 like", value, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasNotLike(String value) {
            addCriterion("FW2 not like", value, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasIn(List<String> values) {
            addCriterion("FW2 in", values, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasNotIn(List<String> values) {
            addCriterion("FW2 not in", values, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasBetween(String value1, String value2) {
            addCriterion("FW2 between", value1, value2, "alias");
            return (Criteria) this;
        }

        public Criteria andAliasNotBetween(String value1, String value2) {
            addCriterion("FW2 not between", value1, value2, "alias");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("FW3 is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("FW3 is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("FW3 =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("FW3 <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("FW3 >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("FW3 >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("FW3 <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("FW3 <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("FW3 in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("FW3 not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("FW3 between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("FW3 not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andPayStatusIsNull() {
            addCriterion("FW4 is null");
            return (Criteria) this;
        }

        public Criteria andPayStatusIsNotNull() {
            addCriterion("FW4 is not null");
            return (Criteria) this;
        }

        public Criteria andPayStatusEqualTo(Integer value) {
            addCriterion("FW4 =", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotEqualTo(Integer value) {
            addCriterion("FW4 <>", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusGreaterThan(Integer value) {
            addCriterion("FW4 >", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("FW4 >=", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLessThan(Integer value) {
            addCriterion("FW4 <", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLessThanOrEqualTo(Integer value) {
            addCriterion("FW4 <=", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusIn(List<Integer> values) {
            addCriterion("FW4 in", values, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotIn(List<Integer> values) {
            addCriterion("FW4 not in", values, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusBetween(Integer value1, Integer value2) {
            addCriterion("FW4 between", value1, value2, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("FW4 not between", value1, value2, "payStatus");
            return (Criteria) this;
        }

        public Criteria andFinIdIsNull() {
            addCriterion("FW5 is null");
            return (Criteria) this;
        }

        public Criteria andFinIdIsNotNull() {
            addCriterion("FW5 is not null");
            return (Criteria) this;
        }

        public Criteria andFinIdEqualTo(String value) {
            addCriterion("FW5 =", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotEqualTo(String value) {
            addCriterion("FW5 <>", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdGreaterThan(String value) {
            addCriterion("FW5 >", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdGreaterThanOrEqualTo(String value) {
            addCriterion("FW5 >=", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLessThan(String value) {
            addCriterion("FW5 <", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLessThanOrEqualTo(String value) {
            addCriterion("FW5 <=", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLike(String value) {
            addCriterion("FW5 like", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotLike(String value) {
            addCriterion("FW5 not like", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdIn(List<String> values) {
            addCriterion("FW5 in", values, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotIn(List<String> values) {
            addCriterion("FW5 not in", values, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdBetween(String value1, String value2) {
            addCriterion("FW5 between", value1, value2, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotBetween(String value1, String value2) {
            addCriterion("FW5 not between", value1, value2, "finId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdIsNull() {
            addCriterion("FW6 is null");
            return (Criteria) this;
        }

        public Criteria andUserExtIdIsNotNull() {
            addCriterion("FW6 is not null");
            return (Criteria) this;
        }

        public Criteria andUserExtIdEqualTo(String value) {
            addCriterion("FW6 =", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdNotEqualTo(String value) {
            addCriterion("FW6 <>", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdGreaterThan(String value) {
            addCriterion("FW6 >", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdGreaterThanOrEqualTo(String value) {
            addCriterion("FW6 >=", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdLessThan(String value) {
            addCriterion("FW6 <", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdLessThanOrEqualTo(String value) {
            addCriterion("FW6 <=", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdLike(String value) {
            addCriterion("FW6 like", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdNotLike(String value) {
            addCriterion("FW6 not like", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdIn(List<String> values) {
            addCriterion("FW6 in", values, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdNotIn(List<String> values) {
            addCriterion("FW6 not in", values, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdBetween(String value1, String value2) {
            addCriterion("FW6 between", value1, value2, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdNotBetween(String value1, String value2) {
            addCriterion("FW6 not between", value1, value2, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtNameIsNull() {
            addCriterion("FW7 is null");
            return (Criteria) this;
        }

        public Criteria andUserExtNameIsNotNull() {
            addCriterion("FW7 is not null");
            return (Criteria) this;
        }

        public Criteria andUserExtNameEqualTo(String value) {
            addCriterion("FW7 =", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameNotEqualTo(String value) {
            addCriterion("FW7 <>", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameGreaterThan(String value) {
            addCriterion("FW7 >", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameGreaterThanOrEqualTo(String value) {
            addCriterion("FW7 >=", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameLessThan(String value) {
            addCriterion("FW7 <", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameLessThanOrEqualTo(String value) {
            addCriterion("FW7 <=", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameLike(String value) {
            addCriterion("FW7 like", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameNotLike(String value) {
            addCriterion("FW7 not like", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameIn(List<String> values) {
            addCriterion("FW7 in", values, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameNotIn(List<String> values) {
            addCriterion("FW7 not in", values, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameBetween(String value1, String value2) {
            addCriterion("FW7 between", value1, value2, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameNotBetween(String value1, String value2) {
            addCriterion("FW7 not between", value1, value2, "userExtName");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("FW8 is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("FW8 is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(LocalDateTime value) {
            addCriterion("FW8 =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FW8 <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(LocalDateTime value) {
            addCriterion("FW8 >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FW8 >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(LocalDateTime value) {
            addCriterion("FW8 <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FW8 <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<LocalDateTime> values) {
            addCriterion("FW8 in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FW8 not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FW8 between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FW8 not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorIsNull() {
            addCriterion("FW9 is null");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorIsNotNull() {
            addCriterion("FW9 is not null");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorEqualTo(String value) {
            addCriterion("FW9 =", value, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorNotEqualTo(String value) {
            addCriterion("FW9 <>", value, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorGreaterThan(String value) {
            addCriterion("FW9 >", value, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorGreaterThanOrEqualTo(String value) {
            addCriterion("FW9 >=", value, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorLessThan(String value) {
            addCriterion("FW9 <", value, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorLessThanOrEqualTo(String value) {
            addCriterion("FW9 <=", value, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorLike(String value) {
            addCriterion("FW9 like", value, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorNotLike(String value) {
            addCriterion("FW9 not like", value, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorIn(List<String> values) {
            addCriterion("FW9 in", values, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorNotIn(List<String> values) {
            addCriterion("FW9 not in", values, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorBetween(String value1, String value2) {
            addCriterion("FW9 between", value1, value2, "createOperator");
            return (Criteria) this;
        }

        public Criteria andCreateOperatorNotBetween(String value1, String value2) {
            addCriterion("FW9 not between", value1, value2, "createOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("FW10 is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("FW10 is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(LocalDateTime value) {
            addCriterion("FW10 =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FW10 <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(LocalDateTime value) {
            addCriterion("FW10 >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FW10 >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(LocalDateTime value) {
            addCriterion("FW10 <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FW10 <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<LocalDateTime> values) {
            addCriterion("FW10 in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FW10 not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FW10 between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FW10 not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorIsNull() {
            addCriterion("FW11 is null");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorIsNotNull() {
            addCriterion("FW11 is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorEqualTo(String value) {
            addCriterion("FW11 =", value, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorNotEqualTo(String value) {
            addCriterion("FW11 <>", value, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorGreaterThan(String value) {
            addCriterion("FW11 >", value, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorGreaterThanOrEqualTo(String value) {
            addCriterion("FW11 >=", value, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorLessThan(String value) {
            addCriterion("FW11 <", value, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorLessThanOrEqualTo(String value) {
            addCriterion("FW11 <=", value, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorLike(String value) {
            addCriterion("FW11 like", value, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorNotLike(String value) {
            addCriterion("FW11 not like", value, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorIn(List<String> values) {
            addCriterion("FW11 in", values, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorNotIn(List<String> values) {
            addCriterion("FW11 not in", values, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorBetween(String value1, String value2) {
            addCriterion("FW11 between", value1, value2, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andUpdateOperatorNotBetween(String value1, String value2) {
            addCriterion("FW11 not between", value1, value2, "updateOperator");
            return (Criteria) this;
        }

        public Criteria andClosingTimeIsNull() {
            addCriterion("FW12 is null");
            return (Criteria) this;
        }

        public Criteria andClosingTimeIsNotNull() {
            addCriterion("FW12 is not null");
            return (Criteria) this;
        }

        public Criteria andClosingTimeEqualTo(LocalDateTime value) {
            addCriterion("FW12 =", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FW12 <>", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeGreaterThan(LocalDateTime value) {
            addCriterion("FW12 >", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FW12 >=", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeLessThan(LocalDateTime value) {
            addCriterion("FW12 <", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FW12 <=", value, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeIn(List<LocalDateTime> values) {
            addCriterion("FW12 in", values, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FW12 not in", values, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FW12 between", value1, value2, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FW12 not between", value1, value2, "closingTime");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorIsNull() {
            addCriterion("FW13 is null");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorIsNotNull() {
            addCriterion("FW13 is not null");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorEqualTo(String value) {
            addCriterion("FW13 =", value, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorNotEqualTo(String value) {
            addCriterion("FW13 <>", value, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorGreaterThan(String value) {
            addCriterion("FW13 >", value, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorGreaterThanOrEqualTo(String value) {
            addCriterion("FW13 >=", value, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorLessThan(String value) {
            addCriterion("FW13 <", value, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorLessThanOrEqualTo(String value) {
            addCriterion("FW13 <=", value, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorLike(String value) {
            addCriterion("FW13 like", value, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorNotLike(String value) {
            addCriterion("FW13 not like", value, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorIn(List<String> values) {
            addCriterion("FW13 in", values, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorNotIn(List<String> values) {
            addCriterion("FW13 not in", values, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorBetween(String value1, String value2) {
            addCriterion("FW13 between", value1, value2, "closingOperator");
            return (Criteria) this;
        }

        public Criteria andClosingOperatorNotBetween(String value1, String value2) {
            addCriterion("FW13 not between", value1, value2, "closingOperator");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
